- Main Page
- Classes
- Files

- File List
- File Members

# flMemoryPool.h File Reference

`#include "flGlobal.h"`
`#include "flMemory.h"`
`#include "flMemoryVMem.h"`

Go to the source code of this file.

## Classes
struct | MemoryPool
struct | MemoryPoolHdrLL
## Defines
#define | MEMORY_POOL_TYPE_NONE 0
#define | MEMORY_POOL_TYPE_TABLE 1
#define | MEMORY_POOL_TYPE_LINKLIST 2
## Functions
MemoryPool * | mempCreate (u32 inSize, u32 inType)
void | mempDestroy (MemoryPool *inMemPool)
void * | mempAlloc (MemoryPool *inMemPool, u32 inSize)
void * | mempCalloc (MemoryPool *inMemPool, u32 inSize0, u32 inSize1)
void * | mempRealloc (MemoryPool *inMemPool, void *inPtr, u32 inSize)
void * | mempAlign (MemoryPool *inMemPool, u32 inBoundry, u32 inSize)
void | mempFree (MemoryPool *inMemPool, void *inPtr)

## Define Documentation

#define MEMORY_POOL_TYPE_LINKLIST 2

Definition at line 18 of file flMemoryPool.h.

Referenced by mempAlloc().

#define MEMORY_POOL_TYPE_NONE 0

Definition at line 16 of file flMemoryPool.h.

#define MEMORY_POOL_TYPE_TABLE 1

Definition at line 17 of file flMemoryPool.h.

Referenced by mempDestroy().

## Function Documentation

void* mempAlign | ( | MemoryPool * | inMemPool,
|  | u32 | inBoundry,
|  | u32 | inSize |
| ) |  |  |

Definition at line 112 of file flMemoryPool.c.

References NULL.

void* mempAlloc | ( | MemoryPool * | inMemPool,
|  | u32 | inSize |
| ) |  |  |

Definition at line 60 of file flMemoryPool.c.

References debugWarning, MEMORY_POOL_TYPE_LINKLIST, MemoryPool::mempAllocData, MemoryPool::mempData, MemoryPoolHdrLL::mempHLLData, MemoryPoolHdrLL::mempHLLNext, MemoryPoolHdrLL::mempHLLPrev, MemoryPoolHdrLL::mempHLLSize, MemoryPool::mempType, and NULL.

Referenced by mempCalloc().

void* mempCalloc | ( | MemoryPool * | inMemPool,
|  | u32 | inSize0,
|  | u32 | inSize1 |
| ) |  |  |

Definition at line 100 of file flMemoryPool.c.

References memClear, mempAlloc(), and NULL.

MemoryPool* mempCreate | ( | u32 | inSize,
|  | u32 | inType |
| ) |  |  |

Definition at line 16 of file flMemoryPool.c.

References debugWarning, memAlloc, MemoryPool::mempAllocData, MemoryPool::mempData, MemoryPool::mempSize, MemoryPool::mempType, and NULL.

void mempDestroy | ( | MemoryPool * | inMemPool | ) |

Definition at line 46 of file flMemoryPool.c.

References debugWarning, memFree, MEMORY_POOL_TYPE_TABLE, MemoryPool::mempAllocData, and MemoryPool::mempType.

void mempFree | ( | MemoryPool * | inMemPool,
|  | void * | inPtr |
| ) |  |  |

Definition at line 116 of file flMemoryPool.c.

void* mempRealloc | ( | MemoryPool * | inMemPool,
|  | void * | inPtr,
|  | u32 | inSize |
| ) |  |  |

Definition at line 108 of file flMemoryPool.c.

References NULL.